Issue 16579

Summary: Can't find "default printer" after startup
Product: gsl Reporter: njall <nelson.ingersoll>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: trivial    
Priority: P3 CC: haxwell, issues, lohmaier, mkennedy
Version: OOo 1.1 Beta2Keywords: oooqa
Target Milestone: AOO PleaseHelp   
Hardware: PC   
OS: Windows 2000   
Issue Type: DEFECT Latest Confirmation on: ---
Developer Difficulty: ---

Description njall 2003-07-08 17:09:30 UTC
New W2K install updated to SP3.  Had not assigned a 
default printer to the system.  Started a spreadsheet.  
Tried to print it.  Nothing happened.  Realized that I 
needed to setup a printer.  So I went to 
START/SETTING/PRINTERS and set up a networked printer.  

   Then tried to print again and was rewarded with the 
complaint "No Default Printer".  Double checked and printer
was set as windows default printer.

    Exited and restarted spreadsheet and default printer
was recognized.
Comment 1 maxkennedy 2003-07-10 08:23:23 UTC
I'll check this later tonight.  Its likely accurate, as I've seen a 
few other issues with OOo using the values it gets on startup instead 
of current system values.

Comment 2 oc 2003-08-08 15:28:41 UTC
adjusting component
Comment 3 Joost Andrae 2003-10-13 10:05:49 UTC
JA->MMP: for "writer" this is OK because it needs the information of
the printer driver to format its output device but not for "calc" or
"impress". On the other hand writer could then use the device
independent output feature instead. Oliver was wrong with his decision
to put this issue to 2.0 because changing this might be a bigger
change which is not planned for 2.0. Please have a look at this
usability issue. Changing target to later...
Comment 4 Martin Hollmichel 2003-10-15 12:47:17 UTC
set tm
Comment 5 bhanzl 2004-09-25 16:40:37 UTC
Ben Hanzl
September 25, 2004

I was able to successfully replicate the bug on my Windows 2000 machine. Below
are the steps followed to reproduce the bug using a networked printer.

1.Start Spreadsheet without any default printer specified through Windows.
2.Print a spreadsheet containing data. Nothing should be printed.
3.Using Window's Printer Manager, set a networked printer as a default printer.
4.Print spreadsheet. A error message should display “No Default Printerâ€

The test machine used Windows 2000 with service pack 3 installed and Open Office
1.1.2
Comment 6 thackert 2005-01-16 13:28:50 UTC
I have seen that the last entry was in September 2004 and that this issue is
OOo-1.1beta2 related ... :( Does this problem also occur in newer versions of
OOo like the 1.1.x or the 1.9.xx branch? Or could this issue be closed by the
original reporter?
Comment 7 haxwell 2005-02-09 17:35:37 UTC
Could not reproduce in 1.9.77 / Win 2000 SP4.

I removed my default printer, so that none was specified. Then started Calc, and
put some data in 3 columns. When I went to File > Print, I was told "No default
printer found. Please choose a printer and try again."

haxwell -> njall, bhanzl: Are either of you able to reproduce this using a
Snapshot build of OOo?
Comment 8 thackert 2005-03-13 15:48:37 UTC
I have not seen any answer from neither njall (the original reporter) nor bhanzel (who is not 
CC'ed to this issue) ... :( 
thackert -> haxwell: How should we handle this issue? Mail them personally or should we 
close it as invalid? 
Comment 9 thackert 2005-03-13 15:49:33 UTC
I have not seen any answer from neither njall (the original reporter) nor bhanzel (who is not  
CC'ed to this issue) since February 9th ... :(  
thackert -> haxwell: How should we handle this issue? Mail them personally or should we  
close it as invalid?  
Comment 10 njall 2005-03-13 16:16:55 UTC
I'm very sorry.  I just recently downloaded and installed OOo2 Beta and
re-updated my data here.  As a result I got an email about this last comment and
realized I'd NOT gotten any of the others.  One way or the other my fault and I
apologize.

I will re-test this problem at work tomorrow where I can QED set new preinters
as the default and play around.  That is where I saw the problem first and I am
still running W2K there.  You should hear from me by Wednesday th 16th of March.

Nelson (aka Njall)
Comment 11 thackert 2005-03-13 16:51:00 UTC
I am glad to hear that you just have forgotten it ... :) But I am only online on sundays, so 
you have to wait for a couple of days for my further comments ... ;) 
If this problem is solved in the Beta, could you close this issue, please? 
Comment 12 njall 2005-03-13 22:54:15 UTC
I will close the issue if I can not repeat it, i.e. it appears to be resolved. 
Thank you for your understanding and patience.  
Comment 13 njall 2005-03-17 20:42:05 UTC
I have double checked and this problem still exists as described originally.  I
deleted all 4 printers I had defined.  I rebooted (just because it's Windows and
that's what Bill wants me to do.)  I openned a Calc (spreadsheet) document and
attemtped to print it.  Immediately got correct error that a default printer was
not defined.  Without exiting OOCalc I set up a printer, made sure it worked and
was the "default" printer.  I still could not print to the printer until I
closed Calc and re-openned it.  Then I could print.
Comment 14 njall 2005-03-17 20:43:37 UTC
Oops - regardning my last test... I am running OO 2.0 Beta (1.9.79) on a Windows
2000 Pro system fully patched.
Comment 15 thackert 2005-05-29 03:24:16 UTC
@njall: Have you tried a newer version of OOo-1.9.79? If I remember correctly, there were some 
problems with this version of OOo. Maybe your problem is fixed in a newer version of OOo ... ;)
Comment 16 thackert 2005-06-26 10:19:19 UTC
@njall: Could you be so kind to answer my question, please? I think, if not, I will close this issue 
next Sunday ... ;)
Comment 17 Joost Andrae 2005-06-27 09:18:59 UTC
JA:->All: Don't close issues which already have a target milestone set.
Comment 18 thackert 2005-07-03 12:54:34 UTC
@ja: Sorry, I missed the TM ... :( So I let it open ... ;)
Comment 19 lohmaier 2005-07-31 21:06:07 UTC
JA: Don't set target on unconfirmed issues!

Since it got a target (that has been defended), I assume this issue is valid ->
set to new.
Comment 20 philipp.lohmann 2006-03-03 09:52:41 UTC
setting appropriate component
Comment 21 philipp.lohmann 2006-03-03 09:53:49 UTC
setting subcomponent
Comment 22 matthias.mueller-prove 2009-09-06 10:20:09 UTC
I am no longer officially active on OOo. Please take over.